div.container, div.container-fluid {
    margin-top: 20px;
}

div.ad-title {
    padding: 2em;
    background-size: cover;
    background-position: center center;

    h1, p {
        color: white;
        text-shadow: 3px 3px 3px rgba(0,0,0,0.5);
    }

    .btn {
        margin-top: 2em;
        font-size: 1.5em;
        line-height: 1.5em;
    }
}

div.carousel-caption {
    text-shadow: 3px 3px 3px rgba(0,0,0, 0.5);
}

.avatar {
    width: 128px;
    height: 128px;
    border-radius: 50%;
    object-fit: cover;

    &.avatar-medium {
        width:100px ;
        height:100px ;
        object-fit: cover;
    }

    &.avatar-mini {
        width: 40px;
        height: 40px;
        margin-right: 5px;
        object-fit: cover !important;
    
    }

    &.avatar-micro {
        width: 50px;
        height: 50px;
        margin-right: 5px;
        object-fit: cover !important;
    
    }
}
#mapid {
  height: 220px;
}


span.rating i {
    color: goldenrod;
}

.alert {
    a {
        text-decoration: none;
    }

    .btn {
        color: white;
    }
}
.principalimage{
    -webkit-filter: sepia(100%);
	filter: sepia(100%);
	-webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
        &:hover{
            -webkit-transform: scale(1.2);
            transform: scale(1.2);
            -webkit-filter: sepia(0);
            filter: sepia(0);
    } 
}

/**
 * --------------------------
 * Booking reservation on host's page
 * --------------------------
 */

.booking-wrapper{
    .host-wrapper {
        display:inline-block;
    }
    .read-more-button,.host-wrapper .read-more-button {
    margin: 10px 0;
}}
.booking-information,.host-presentation{
    margin: 20px 0;
}

#price span{
    color: #DF691A;
    font-weight: bold;
}

#days{
    color: #DF691A;
    font-weight: bold;
}

#price2{
    color: #DF691A;
    font-weight: bold;
}

footer{
    position: relative;
    bottom: 0;
    left: 0;
    right: 0;
}

/**
 * --------------------------
 * 
 * --------------------------
 */

.card-title-link {
	position: relative;
	display: inline-block;
	outline: none;
	color: #fff;
	text-decoration: none;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 400;
	text-shadow: 0 0 1px rgba(255,255,255,0.3);
    font-size: 1em;
    text-decoration: none;
    padding-top: 5px;

    &:hover,
    &:focus {
    outline: none;
    text-decoration: none;
    }

    &::before,
    &::after {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 1px;
	background: #fff;
	content: '';
	opacity: 0.2;
	-webkit-transition: opacity 0.3s, height 0.3s;
	-moz-transition: opacity 0.3s, height 0.3s;
    transition: opacity 0.3s, height 0.3s;
    text-decoration: none;
    
    }

    &::after {
	top: 100%;
	opacity: 0;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
	-moz-transition: -moz-transform 0.3s, opacity 0.3s;
	transition: transform 0.3s, opacity 0.3s;
	-webkit-transform: translateY(-10px);
	-moz-transform: translateY(-10px);
    transform: translateY(-10px);
    text-decoration: none;
    }

    &:hover::after,
    &:focus::after {
	height: 5px;
	opacity: 1;
	-webkit-transform: translateY(0px);
	-moz-transform: translateY(0px);
    transform: translateY(0px);
    text-decoration: none;
    }

     span:first-child {
	z-index: 2;
	display: block;
    text-decoration: none;
    }

    span:last-child {
	z-index: 1;
	display: block;
	padding: 8px 0 0 0;
	color:#2A9FD6;
	text-shadow: none;
	text-transform: none;
	font-style: italic;
	font-size: 0.75em;
	font-family: Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif;
	opacity: 0;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
	-moz-transition: -moz-transform 0.3s, opacity 0.3s;
	transition: transform 0.3s, opacity 0.3s;
	-webkit-transform: translateY(-100%);
	-moz-transform: translateY(-100%);
    transform: translateY(-100%);
    text-decoration: none;
    }

    &:hover::before,
    &:focus::before {
    height: 6px;
    text-decoration: none;
    }

    &:hover::before,
    &:hover::after,
    &:focus::before,
    &:focus::after {
	opacity: 1;
	-webkit-transform: translateY(0px);
	-moz-transform: translateY(0px);
    transform: translateY(0px);
    text-decoration: none;
    }

    &:hover span:last-child,
    &:focus span:last-child {
	opacity: 1;
	-webkit-transform: translateY(0%);
	-moz-transform: translateY(0%);
    transform: translateY(0%);
    text-decoration: none;
    }
}

//-------------------------------------------------

.datepicker table tr td{
    &.disabled, .datepicker table tr td.disabled:hover {
        color: firebrick !important;
        font-weight: bold;
    
    }

}
.datepicker .datepicker-switch, .datepicker .next, .datepicker .prev, .datepicker tfoot tr th{
    color: white;
    font-weight: bold;
}

.datepicker td, 
.datepicker th {

    &:hover {
        color:green;
        font-weight: bold;
    }
}



span.rating i{
    color: goldenrod;
}
.alert a{
    text-decoration: none;
}

/* Magic animation */
.animate-magic {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.magic {
    -webkit-animation-name: magic;
    animation-name: magic; }
  
  @-webkit-keyframes magic {
    0% {
      opacity: 1;
      -webkit-transform-origin: 100% 200%;
      transform-origin: 100% 200%;
      -webkit-transform: scale(1, 1) rotate(0deg);
      transform: scale(1, 1) rotate(0deg); }
    100% {
      opacity: 0;
      -webkit-transform-origin: 200% 500%;
      transform-origin: 200% 500%;
      -webkit-transform: scale(0, 0) rotate(270deg);
      transform: scale(0, 0) rotate(270deg); } }
  
  @keyframes magic {
    0% {
      opacity: 1;
      -webkit-transform-origin: 100% 200%;
      transform-origin: 100% 200%;
      -webkit-transform: scale(1, 1) rotate(0deg);
      transform: scale(1, 1) rotate(0deg); }
    100% {
      opacity: 0;
      -webkit-transform-origin: 200% 500%;
      transform-origin: 200% 500%;
      -webkit-transform: scale(0, 0) rotate(270deg);
      transform: scale(0, 0) rotate(270deg); } }
  
      /* END magic animation */